PSTREE(1)

NOM
pstree - Afficher un arbre des processus

SYNOPSIS
pstree [-a] [-c] [-h|-Hpid] [-l] [-n] [-p] [-u] [-Z] [-A|-G|-U] [pid|utilisateur]
pstree -V

DESCRIPTION
pstree affiche les processus en cours d'exécution sous la forme d'un arbre. La racine de l'arbre est soit pid, soit init si pid est omis. Si un nom d'utilisateur est fourni, tous les arbres de processus prennant racine sur des processus appartenant à cet utilisateur seront affichés.

pstree fusionnera visuellement les branches identiques en les mettant entre crochets et en les préfixant par le nombre de répétitions. Par exemple,
    init-+-getty
         |-getty
         |-getty
         `-getty
devient
    init---4*[getty]

Les threads fils d'un processus trouvés sous un processus père sont affichés avec le nom du processus entre accolades. Par exemple :
    icecast2---13*[{icecast2}]

Si pstree est appelé par l'intermédiaire de pstree.x11, il demandera à l'utilisateur, à la fin de la ligne, d'appuyer sur la touche « Entrée » et ne reviendra pas tant que cela n'aura pas été fait. Cela est utile lorsque pstree est lancé dans un terminal X.

OPTIONS

-a  Afficher les arguments de la ligne de commande. Si la ligne de commande correspond à un processus endormi en zone de swap, ce processus est affiché entre parenthèses. L'option -a désactive implicitement le compactage des branches.

-A  Utiliser les caractères ASCII pour dessiner l'arbre.

-c  Désactiver le compactage des sous-arbres identiques. Par défaut, les sous-arbres sont compactés chaque fois que c'est possible.

-G  Utiliser les caractères VT100 pour dessiner l'arbre.

-h  Mettre en évidence (Ndt : highlight) le processus courant et ces ancètres. Cela devient une non opération si le terminal ne gère pas la mise en évidence ou si ni le processus courant, ni l'un de ces ancètres ne se trouvent dans le sous-arbre à afficher.

-H  Comme -h, mais mettre en évidence le processus spécifié à la place. Contrairement à -h, pstree échouera si la mise en évidence n'est pas disponible.

-l  Afficher des lignes longues. Par défaut, les lignes sont tronquées à la largeur d'affichage ou à 132 caractères si la sortie ne se fait pas sur un terminal ou si la largeur d'affichage est inconnue.

-n  Trier par PID les processus ayant le même ancètre plutôt que par nom. (Tri numérique.)

-p  Afficher les PID. Ils le sont sous forme décimale entre parenthèses après chaque nom de processus. L'option -p désactive implicitement le compactage.

-u  Afficher les transitions d'UID. Lorsque l'UID d'un processus diffère de l'UID de son père, le nouvel UID est affiché entre parenthèses après le nom du processus.

-U  Utiliser les caractères UTF-8 pour dessiner l'arbre. Sous Linux 1.1-54 et précédents, on entre en mode UTF-8 sur la console avec echo -e '\033%8' et on le quitte avec echo -e '\033%@'

-V  Afficher les informations de version.

-Z  (SELinux) Afficher le contexte de sécurité pour chaque processus.

FICHIERS

/proc
    Système de fichiers proc.

AUTEURS
Werner Almesberger <werner@almesberger.net> Craig Small <csmall@small.dropbear.id.au>

BOGUES
Certains jeux de caractères peuvent être incompatibles avec les caractères VT100.

VOIR AUSSI
ps(1), top(1)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 19 août 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 pstree ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.